DefaultMappingContextFactoryBean (Grails 5.2.3)

Package: org.grails.plugins.domain.support

## [Groovy] Class DefaultMappingContextFactoryBean

- org.grails.plugins.domain.support.DefaultMappingContextFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean<org.grails.datastore.mapping.model.MappingContext>, org.springframework.beans.factory.InitializingBean

      @groovy.transform.CompileStatic
      class DefaultMappingContextFactoryBean
      extends java.lang.Object
      implements org.springframework.beans.factory.FactoryBean<org.grails.datastore.mapping.model.MappingContext>, org.springframework.beans.factory.InitializingBean

  A factory bean for creating the default mapping context where an implementation of GORM is not present

  Authors:
    Graeme Rocher
  Since:
    3.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected org.springframework.context.ApplicationContext` | `applicationContext` |
    `protected org.springframework.context.MessageSource` | `messageSource` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.core.env.PropertyResolver` | `configuration`
    `java.util.List<org.grails.datastore.gorm.validation.constraints.factory.ConstraintFactory>` | `constraintFactories`
    `GrailsApplication` | `grailsApplication`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultMappingContextFactoryBean (GrailsApplication grailsApplication, org.springframework.context.MessageSource messageSource)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterPropertiesSet()`
    `` | `org.grails.datastore.mapping.model.MappingContext` | `getObject()`
    `` | `java.lang.Class<?>` | `getObjectType()`
    `` | `boolean` | `isSingleton()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected final org.springframework.context.ApplicationContext applicationContext

    - #### protected final org.springframework.context.MessageSource messageSource

  - ### Property Detail

    - #### final org.springframework.core.env.PropertyResolver configuration

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) java.util.List<org.grails.datastore.gorm.validation.constraints.factory.ConstraintFactory> constraintFactories

    - #### final GrailsApplication grailsApplication

  - ### Constructor Detail

    - #### DefaultMappingContextFactoryBean(GrailsApplication grailsApplication, org.springframework.context.MessageSource messageSource)

  - ### Method Detail

    - #### @java.lang.Override void afterPropertiesSet()

    - #### @java.lang.Override org.grails.datastore.mapping.model.MappingContext getObject()

    - #### @java.lang.Override java.lang.Class<?> getObjectType()

    - #### @java.lang.Override boolean isSingleton()